/* ===============================================
スライダー関係のスタイル
=============================================== */
/* トップスライドの設定 */
.top-slider_wrap {
	position: relative;
	margin: 240px auto 50px;
}
@media(max-width:768px) {
	.top-slider_wrap {
		margin: 180px auto 50px;
	}
}
.top-slider {
	box-shadow: 0 0 5px #ccc;
	border: 5px solid #fff;
	aspect-ratio: 2393 / 976;
}
.top-slider .swiper-wrapper {
	position: relative;
}
.top-slider .swiper-slide img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
/* スライドページネーションのための設定 */
.top-slider_wrap .swiper-pagination {
	left: auto;
	bottom: -30px;
}
.top-slider_wrap .swiper-pagination-bullet {
	width: var(--swiper-pagination-bullet-width,var(--swiper-pagination-bullet-size,10px));
	height: var(--swiper-pagination-bullet-height,var(--swiper-pagination-bullet-size,10px));
	opacity: var(--swiper-pagination-bullet-inactive-opacity, 0.6);
}
.top-slider_wrap .swiper-pagination-bullet-active {
	background: var(--swiper-pagination-bullet-inactive-color,#000);
	opacity: var(--swiper-pagination-bullet-inactive-opacity, 1)
}


/* 無限スクロール */
.scroll-infinity {
	width: 100%;
	overflow: hidden;
}
.swiper-wrapper {
	transition-timing-function: linear !important;
}
.swiper-slide img {
	width: 100%;
}
.scroll-infinity .swiper-slide {
	text-align: center;
}
.scroll-infinity-link {
	transition: 0.3s;
	text-decoration: none;
	color: #000;
}
.scroll-infinity-link:hover {
	opacity: 0.3;
}
.scroll-infinity a {
	color: #000;
	text-decoration: none;
}

/* スライダー内の要素がフォーカスされても、位置を強制移動させない */
.scroll-infinity .swiper-slide {
    overflow-anchor: none; /* Windows/Chromeのスクロール位置保持機能を抑制 */
}
.scroll-infinity *:focus {
    outline: none !important;
}